package com.io.yaohun.worldbosshurt.mangage;

import com.io.yaohun.worldbosshurt.data.BossData;
import com.io.yaohun.worldbosshurt.data.RewardData;
import com.sun.xml.internal.txw2.output.StreamSerializer;
import org.bukkit.Bukkit;
import org.bukkit.configuration.file.FileConfiguration;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class RewardManage {

    private final HashMap<String, RewardData>  rewardDataMap = new HashMap<>();
    public RewardManage(FileConfiguration yml) {
        if(yml.getConfigurationSection("RewardGroup") != null) {
            for (String rewardKey : yml.getConfigurationSection("RewardGroup").getKeys(false)){
                rewardDataMap.put(rewardKey,new RewardData(rewardKey,yml));
            }
        }
        Bukkit.getConsoleSender().sendMessage("§b[BossHurt] §f已导入奖励方案: §a" + rewardDataMap.size() + "个");
    }

    public RewardData getRewardData(String string) {
        if(rewardDataMap.get(string) != null){
            return rewardDataMap.get(string);
        }
        return null;
    }
}
